import { Locale } from 'antd/lib/locale-provider';

export interface FoxI18n extends Locale {
  common?: {};
  business: {
    global: {
      all: string;
      application: string;
      setting: string;
      management: string;
      project: string;
      team: string;
      user: string;
      role: string;
      projects: string;
      dynamics: string;
      recycles: string;
      condition: string;
      conditions: string;
      variables: string;
      functions: string;
      resources: string;
      packages: string;
      contents: string;
      versions: string;
      liveVersion: string;
      newVersion: string;
      dashboard: string;
      type: string;
      modify: string;
      update: string;
      operator: string;
      idLabel: string;
      nameLabel: string;
      nameLabelWithUnderline: string;
      creator: string;
      createTime: string;
      updateTime: string;
      actions: string;
      add: string;
      edit: string;
      delete: string;
      apply: string;
      save: string;
      publish: string;
      remove: string;
      view: string;
      search: string;
      build: string;
      builder: string;
      locale: string;
      deleteMsg: string;
      yes: string;
      no: string;
      terms: string;
      deleteFailMsg: string;
      host: string;
      select: string;
      height: string;
      width: string;
      label: string;
      deleteSuccess: string;
      publishSuccess: string;
      cloneSuccess: string;
      moveSuccess: string;
      updateSuccess: string;
      saveSuccess: string;
      commitSuccess: string;
      revokeSuccess: string;
      fetchListSuccess: string;
      deleteFailed: string;
      publishFailed: string;
      cloneFailed: string;
      moveFailed: string;
      updateFailed: string;
      saveFailed: string;
      commitFailed: string;
      revokeFailed: string;
      previewFailed: string;
      fetchListFailed: string;
      addFailed: string;
      searchFailed: string;
      nameError: string;
      selectLocale: string;
      nameFormatInvalid: string;
      structure: string;
      userPermission: string;
      expression: string;
      inputSearchText: string;
      cancel: string;
      confirm: string;
      overview: string;
      personal: string;
      permission: string;
      noValidContent: string;
      level: string;
    };
    workspace: {
      name: string;
    };
    organization: {
      name: string;
    };
    store: {
      buy: string;
      name: string;
      commit: string;
      revoke: string;
      commitTitle: string;
      commitMsg: string;
      revokeTitle: string;
      revokeMsg: string;
      commitYes: string;
      commitNo: string;
      fetchResourceFailed: string;
      buyModalTitle: string;
      buySuccess: string;
      buyFailed: string;
      refer: string;
      clone: string;
      deliveryTypePlaceholder: string;
    };
    login: {
      loginOut: string;
      password: string;
      account: string;
      loginSuccess: string;
      loginFailed: string;
      noOrganization: string;
      registerSuccess: string;
      registerFailed: string;
    };
    project: {
      name: string;
      add: string;
      edit: string;
      nameLabel: string;
      deleteMessage: string;
      all: string;
      authorized: string;
      involved: string;
      myProject: string;
      personal: string;
      starred: string;
      teamProject: string;
      recycleBin: string;
    };
    application: {
      name: string;
      add: string;
      new: string;
      edit: string;
      nameLabel: string;
      applicationList: string;
      fetchListFailed: string;
      fetchDetailFailed: string;
      nameInvalid: string;
      slugInvalid: string;
      hostInvalid: string;
      regionInvalid: string;
      languageInvalid: string;
      typeInvalid: string;
      downloadHostInvalid: string;
      resourceNameInvalid: string;
      resourceTypeInvalid: string;
      fetchLocalesFailed: string;
      nameLengthInvalid: string;
      notSelectError: string;
      addLocale: string;
      quicklyDefault: string;
      addResource: string;
      addHost: string;
      selectApplication: string;
      myApplication: string;
    };
    dynamic: {
      name: string;
      myDynamic: string;
    };
    folder: {
      name: string;
      add: string;
      nameLabel: string;
      deleteTitle: string;
      deleteMsg: string;
    };
    file: {
      id: string;
      name: string;
      add: string;
      edit: string;
      nameLabel: string;
      page: string;
      template: string;
      package: string;
      pathname: string;
      deleteMessage: string;
      filePath: string;
      relPath: string;
      fetchDetailFailed: string;
      fetchPageListFailed: string;
    };
    content: {
      name: string;
      add: string;
      addBase: string;
      extendTitle: string;
      extendTips: string;
      baseContent: string;
      addLocale: string;
      edit: string;
      nameLabel: string;
      deleteMessage: string;
      query: string;
      fetchFailed: string;
    };
    team: {
      add: string;
      edit: string;
      userCount: string;
      nameLabel: string;
      userManagement: string;
      addUser: string;
      userId: string;
      joinTime: string;
      account: string;
      selectUserPlaceHolder: string;
      accountInfo: string;
      fetchUsersFailed: string;
    };
    condition: {
      add: string;
      name: string;
      nameLabel: string;
      arithmeticLogic: string;
      deleteFailMsg: string;
      time: string;
      show: string;
      hide: string;
      general: string;
      advanced: string;
      timezoneSelect: string;
      selectCondition: string;
      fetchFailed: string;
    };
    function: {
      name: string;
      add: string;
      nameLabel: string;
      fetchFailed: string;
    };
    package: {
      component: string;
      quickly: string;
      fastSaveEmptyTips: string;
      groupTips: string;
      noGroupTips: string;
      editor: string;
      library: string;
      systemComponent: string;
      fetchFailed: string;
      setVersionLiveTip: string;
      saveComponentFiled: string;
      batchSaveTips: string;
      selectCount: string;
      total: string;
      inputNameTips: string;
    };
    component: {
      add: string;
      fetchListFailed: string;
      fetchDetailFailed: string;
      fetchUpdateInfoFailed: string;
    };
    editor: {
      add: string;
    };
    library: {
      add: string;
    };
    version: {
      liveVersion: string;
      add: string;
      edit: string;
      name: string;
      source: string;
      dependency: string;
      config: string;
      useStyleEditor: string;
      enableChildren: string;
      changelog: string;
      versionError: string;
      status: string;
      publish: string;
      republish: string;
      live: string;
      componentVersion: string;
      syncTitle: string;
    };
    resource: {
      group: string;
      groupError: string;
      resourceFolder: string;
      resourceVersion: string;
      deleteTitle: string;
      deleteMsg: string;
      saveResourceFiled: string;
      resourceGroup: string;
      addResourceGroup: string;
      addGroup: string;
      editGroup: string;
      groupName: string;
      groupType: string;
      groupInfo: string;
      resourceScope: string;
      resourceScopeAddress: string;
      selfBuild: string;
      thirdParty: string;
    };
    setting: {
      basicInfo: string;
      accessControl: string;
      Introduction: string;
      download: string;
      downloadHost: string;
      region: string;
      language: string;
      resource: string;
      slug: string;
      other: string;
      editor: string;
      preview: string;
      debugger: string;
      appSetting: string;
      builderSetting: string;
      builderStoreModalPage: string;
      builderStoreModalTemplate: string;
      componentBar: string;
    };
    builder: {
      componentList: string;
      componentSearch: string;
      dragTips: string;
      pageStyle: string;
      pad: string;
      pc: string;
      mobile: string;
      zoom: string;
      more: string;
      preview: string;
      pageStore: string;
      pageSetting: string;
      lastStep: string;
      nextStep: string;
      selectTemplateError: string;
      selectPageError: string;
      selectPageModalTitle: string;
      selectTemplateModalTitle: string;
      noComponentError: string;
      selectPage: string;
      componentCopyMsg: string;
      componentDeleteMsg: string;
      componentRollBackMsg: string;
      fetchDslFailed: string;
      fetchCatalogFailed: string;
      fetchTemplateFailed: string;
      fetchMockFailed: string;
      parsePageFailed: string;
      relationMatchError: string;
      saveTips: string;
      previewUrlEmptyTips: string;
    };
    variable: {
      add: string;
      bind: string;
      name: string;
      title: string;
      edit: string;
      args: string;
      value: string;
      selectFunction: string;
      fetchFailed: string;
      fetchDetailFailed: string;
      notExist: string;
      useVariableTitle: string;
      useVariableTip: string;
      useVariableAttrTip: string;
      content: string;
    };
    authorize: {
      user: string;
      role: string;
      admin: string;
      editor: string;
      publish: string;
      editorPublish: string;
      add: string;
      delete: string;
      deleteConfirm: string;
      placeholderUser: string;
      placeholderRole: string;
    };
    mock: {
      title: string;
      mockMode: string;
      enableMockMode: string;
      enableMockTips: string;
    };
    category: {
      category: string;
      label: string;
      sort: string;
      rank: string;
      addComponent: string;
      addPage: string;
      addTemplate: string;
      addToComponentBar: string;
      name: string;
      levelOne: string;
      levelTwo: string;
      description: string;
      nameEmptyTips: string;
      levelOneEmptyTips: string;
      levelTwoEmptyTips: string;
      descriptionTips: string;
      componentSearchPlaceholder: string;
      pageSearchPlaceholder: string;
      removeConfirm: string;
    };
  };
}
